# ModifySnapshotsAttribute

## 1. 接口描述

本接口(ModifySnapshotsAttribute)用于修改指定快照的属性。

{% hint style="info" %}
**注意事项**

* 支持批量操作。每次请求批量快照的上限为100。
* 如果其中有快照ID不存在，则本操作会立即失败。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称          | 必选 | 类型              | 描述                                                                                                                                 |
| ------------- | -- | --------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| snapshotIds   | 是  | Array of String | 快照ID列表。                                                                                                                            |
| snapshotName  | 否  | String          | 快照名称。                                                                                                                              |
| retentionTime | 否  | String          | <p>快照过期时间。</p><p>格式为：yyyy-MM-ddTHH:mm:ssZ。</p><p>如果改成永久保留，请设置<code>isPermanent</code>=<code>true</code>，如果设置该时间必须设置为当前时间后24小时。</p> |
| isPermanent   | 否  | Boolean         | 该定期快照策略创建的快照是否永久保留。                                                                                                                |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 修改指定快照的属性, 修改名称同时将保留时间设置为永久保存。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifySnapshotsAttribute
<Common Request Params>

Request：
{
    "snapshotIds": ["snapshotId1","snapshotId2"],
    "snapshotName": "snap_201711301143",
    "isPermanent": true
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                                 | 说明         |
| ------- | ----------------------------------- | ---------- |
| 404     | INVALID\_DISK\_SNAPSHOT\_NOT\_FOUND | 云盘快照实例不存在。 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/disk-snapshot/modifysnapshotsattribute.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
